com.pixelmed.dicom

## Class AttributeListFunctionalGroupsTableModel

- java.lang.Object
- - javax.swing.table.AbstractTableModel
  - - com.pixelmed.dicom.AttributeListTableModel
    - - com.pixelmed.dicom.AttributeListFunctionalGroupsTableModel

All Implemented Interfaces:
  java.io.Serializable, javax.swing.table.TableModel

Direct Known Subclasses:
  AttributeListFunctionalGroupsTableModelAllFrames, AttributeListFunctionalGroupsTableModelOneFrame

    public abstract class AttributeListFunctionalGroupsTableModel
    extends AttributeListTableModel

The abstract `AttributeListFunctionalGroupsTableModel` class extends a `AttributeListTableModel` to abstract the contents of a list of attributes containing shared and per-frame functional groups for multi-frame objects as a table in order to provide support for a `AttributeListTableBrowser`.

For details of some of the methods implemented here see `javax.swing.table.AbstractTableModel`.

See Also:
  Serialized Form

### Field Summary

### Fields inherited from class com.pixelmed.dicom.AttributeListTableModel

`columnCount, columnNames, data, excludeList, includeList, rowCount`

### Fields inherited from class javax.swing.table.AbstractTableModel

`listenerList`

### Constructor Summary

Constructors
Constructor and Description
`AttributeListFunctionalGroupsTableModel()` Construct an empty table model.
`AttributeListFunctionalGroupsTableModel(AttributeList list)` Construct the table model from an attribute list.
`AttributeListFunctionalGroupsTableModel(AttributeList list, java.util.HashSet includeList, java.util.HashSet excludeList)` Construct the table model from an attribute list.

### Method Summary

Methods
`protected void` `addAllAcceptableAttributesToSetAndValuesToMap(java.util.TreeSet set, AttributeList list, java.util.HashMap values)` Extract from the attribute list all the attributes and values to be included in the table model.
`protected void` `addAllAcceptableAttributesToSetAndValuesToMap(java.util.TreeSet set, AttributeList list, java.util.HashMap values, java.lang.String prefixForName)` Extract from the attribute list all the attributes and values to be included in the table model.
`protected void` `addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMap(java.util.TreeSet set, AttributeList list, java.util.HashMap values)` Extract from the attribute list all attributes within sequence attributes, and their values to be included in the table model.
`protected void` `addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMapForAllFrames(java.util.TreeSet set, SequenceAttribute pfa, java.util.HashMap values)` Extract from the Per-frame Functional Groups Sequence all attributes within frame items and their values to be included in the table model.

### Methods inherited from class com.pixelmed.dicom.AttributeListTableModel

`getColumnCount, getColumnName, getRowCount, getValueAt, initializeModelFromAttributeList, isAcceptable, isCellEditable`

### Methods inherited from class javax.swing.table.AbstractTableModel

`addTableModelListener, findColumn, fireTableCellUpdated, fireTableChanged, fireTableDataChanged, fireTableRowsDeleted, fireTableRowsInserted, fireTableRowsUpdated, fireTableStructureChanged, getColumnClass, getListeners, getTableModelListeners, removeTableModelListener, setValueAt`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AttributeListFunctionalGroupsTableModel

    public AttributeListFunctionalGroupsTableModel()

Construct an empty table model.

#### AttributeListFunctionalGroupsTableModel

    public AttributeListFunctionalGroupsTableModel(AttributeList list)

Construct the table model from an attribute list.

Parameters:
  `list` - the list of attributes whose values to use

#### AttributeListFunctionalGroupsTableModel

    public AttributeListFunctionalGroupsTableModel(AttributeList list,
                                           java.util.HashSet includeList,
                                           java.util.HashSet excludeList)

Construct the table model from an attribute list.

Parameters:
  `list` - the list of attributes whose values to use
  `includeList` - attributes to include
  `excludeList` - attributes to exclude

### Method Detail

#### addAllAcceptableAttributesToSetAndValuesToMap

    protected void addAllAcceptableAttributesToSetAndValuesToMap(java.util.TreeSet set,
                                                     AttributeList list,
                                                     java.util.HashMap values,
                                                     java.lang.String prefixForName)

Extract from the attribute list all the attributes and values to be included in the table model.

Parameters:
  `set` - a sorted set of the names of acceptable attributes
  `list` - the list in which to find the attribute values
  `values` - a map to which is added a String or an ArrayList (when value varies per-frame) for each attribute name found
  `prefixForName` - a string with which to prefix the attribute name (e.g. "f." might indicate a frame-varying attribute)

#### addAllAcceptableAttributesToSetAndValuesToMap

    protected void addAllAcceptableAttributesToSetAndValuesToMap(java.util.TreeSet set,
                                                     AttributeList list,
                                                     java.util.HashMap values)

Extract from the attribute list all the attributes and values to be included in the table model.

Parameters:
  `set` - a sorted set of the names of acceptable attributes
  `list` - the list in which to find the attribute values
  `values` - a map to which is added a String or an ArrayList (when value varies per-frame) for each attribute name found

#### addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMap

    protected void addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMap(java.util.TreeSet set,
                                                                             AttributeList list,
                                                                             java.util.HashMap values)

Extract from the attribute list all attributes within sequence attributes, and their values to be included in the table model.

Parameters:
  `set` - a sorted set of the names of acceptable attributes
  `list` - the list in which to find the sequence attributes whose items are examined for attributes to add
  `values` - a map to which is added a String or an ArrayList (when value varies per-frame) for each attribute name found

#### addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMapForAllFrames

    protected void addAllAcceptableAttributesWithinSequenceAttributesToSetAndValuesToMapForAllFrames(java.util.TreeSet set,
                                                                                         SequenceAttribute pfa,
                                                                                         java.util.HashMap values)

Extract from the Per-frame Functional Groups Sequence all attributes within frame items and their values to be included in the table model.

Parameters:
  `set` - a sorted set of the names of acceptable attributes
  `pfa` - the sequence attribute that is the Per-frame Functional Groups Sequence
  `values` - a map to which is added a String or an ArrayList (when value varies per-frame) for each attribute name found